edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech

## Class BasePartOfSpeechTags

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.AbstractPartOfSpeechTags
    - - edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.BasePartOfSpeechTags

- All Implemented Interfaces:
    PartOfSpeechTags, IsCloseable

      public class BasePartOfSpeechTags
      extends AbstractPartOfSpeechTags
      implements PartOfSpeechTags

  BasePartOfSpeechTags: Base non-abstract class for part of speech tags.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.AbstractPartOfSpeechTags

      `generalTagNames, partOfSpeechData, tagSeparator, tagSeparatorString`

    - ### Fields inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.PartOfSpeechTags

      `ADJECTIVE, ADVERB, CARDINAL_NUMERAL, DESCRIPTION_INDEX, ENGLISH_WORD, FOREIGN_WORD, FRENCH_WORD, GENERAL_TAG_NAME_INDEX, GERMAN_WORD, GREEK_WORD, HEBREW_WORD, INTERJECTION, ITALIAN_WORD, LATIN_WORD, MAJOR_WORDCLASS_INDEX, NONE, ORDINAL_NUMERAL, PLURAL_NOUN, PLURAL_PROPER_NOUN, POSSESSIVE_NOUN, POSSESSIVE_PLURAL_NOUN, POSSESSIVE_PLURAL_PROPER_NOUN, POSSESSIVE_SINGULAR_NOUN, POSSESSIVE_SINGULAR_PROPER_NOUN, PROPER_NOUN, PUNCTUATION, SINGULAR_NOUN, SINGULAR_PROPER_NOUN, SPANISH_WORD, SYMBOL, TAG_INDEX, UNDETERMINED, VERB, VERB_PAST, VERB_PAST_PARTICIPLE, VERB_PRESENT_PARTICIPLE, WORDCLASS_INDEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasePartOfSpeechTags()` Create empty part of speech tags.

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.AbstractPartOfSpeechTags

      `addPartOfSpeech, addTag, countTags, getAdjectiveTag, getAdverbTag, getCardinalNumberTag, getCorrespondingCommonNounTag, getDescription, getForeignWordTag, getInterjectionTag, getLemmaWordClass, getMajorWordClass, getOrdinalNumberTag, getPartOfSpeechData, getPastParticipleTag, getPluralNounTag, getPluralProperNounTag, getPossessivePluralNounTag, getPossessivePluralProperNounTag, getPossessiveSingularNounTag, getPossessiveSingularProperNounTag, getPresentParticipleTag, getSingularNounTag, getSingularProperNounTag, getSymbolTag, getTag, getTagNames, getTags, getTagSeparator, getUndeterminedTag, getVerbPastTag, getVerbTag, getWordClass, isCompoundTag, isDeterminerTag, isForeignWordTag, isInterjectionTag, isNounTag, isNumberTag, isPersonalPronounTag, isPronounTag, isProperAdjectiveTag, isProperNounTag, isPunctuationTag, isSingularNounTag, isSymbolTag, isTag, isUndeterminedTag, isVerbTag, joinTags, joinTags, loadTags, majorWordClassEquals, saveTags, splitTag, toString`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.PartOfSpeechTags

      `addPartOfSpeech, addTag, countTags, getAdjectiveTag, getAdverbTag, getCardinalNumberTag, getCorrespondingCommonNounTag, getDescription, getForeignWordTag, getInterjectionTag, getLemmaWordClass, getMajorWordClass, getOrdinalNumberTag, getPastParticipleTag, getPluralNounTag, getPluralProperNounTag, getPossessivePluralNounTag, getPossessivePluralProperNounTag, getPossessiveSingularNounTag, getPossessiveSingularProperNounTag, getPresentParticipleTag, getSingularNounTag, getSingularProperNounTag, getSymbolTag, getTag, getTags, getTagSeparator, getUndeterminedTag, getVerbPastTag, getVerbTag, getWordClass, isCompoundTag, isDeterminerTag, isForeignWordTag, isInterjectionTag, isNounTag, isNumberTag, isPersonalPronounTag, isPronounTag, isProperAdjectiveTag, isProperNounTag, isPunctuationTag, isSingularNounTag, isSymbolTag, isTag, isUndeterminedTag, isVerbTag, joinTags, joinTags, splitTag`

    - ### Methods inherited from interface edu.northwestern.at.utils.IsCloseable

      `close`

- - ### Constructor Detail

    - #### BasePartOfSpeechTags

          public BasePartOfSpeechTags()
                               throws java.io.IOException

      Create empty part of speech tags.
      Throws:
        `java.io.IOException`